QXmppDiscoveryIq Class Reference
Stanzas

QXmppDiscoveryIq represents a discovery IQ request or result containing a list of features and other information about an entity as defined by XEP-0030: Service Discovery. More...

`#include <QXmppDiscoveryIq.h>`

Inheritance diagram for QXmppDiscoveryIq:
[legend]
Collaboration diagram for QXmppDiscoveryIq:
[legend]

## Classes

class | Identity
| Identity represents one of possibly multiple identities of an XMPP entity obtained from a service discovery request as defined in XEP-0030: Service Discovery. More...
class | Item
| Item represents a related XMPP entity that can be queried using XEP-0030: Service Discovery. More...

## Public Types

enum | QueryType { InfoQuery , ItemsQuery }
Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Public Member Functions

| QXmppDiscoveryIq (const QXmppDiscoveryIq &)
QXmppDiscoveryIq & | operator= (const QXmppDiscoveryIq &)
QStringList | features () const
void | setFeatures (const QStringList &features)
QList< QXmppDiscoveryIq::Identity > | identities () const
void | setIdentities (const QList< QXmppDiscoveryIq::Identity > &identities)
QList< QXmppDiscoveryIq::Item > | items () const
void | setItems (const QList< QXmppDiscoveryIq::Item > &items)
QXmppDataForm | form () const
void | setForm (const QXmppDataForm &form)
QString | queryNode () const
void | setQueryNode (const QString &node)
enum QueryType | queryType () const
void | setQueryType (enum QueryType type)
QByteArray | verificationString () const
| Calculate the verification string for XEP-0115: Entity Capabilities.
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Static Public Member Functions

static bool | isDiscoveryIq (const QDomElement &element)

## Detailed Description

QXmppDiscoveryIq represents a discovery IQ request or result containing a list of features and other information about an entity as defined by XEP-0030: Service Discovery.

## Member Function Documentation

## form()

QXmppDataForm QXmppDiscoveryIq::form | ( |  | ) | const

Returns the QXmppDataForm for this IQ, as defined by XEP-0128: Service Discovery Extensions.

## setForm()

void QXmppDiscoveryIq::setForm | ( | const QXmppDataForm & | form | ) |

Sets the QXmppDataForm for this IQ, as define by XEP-0128: Service Discovery Extensions.

Parameters

  form |

The documentation for this class was generated from the following files:

- QXmppDiscoveryIq.h
- QXmppDiscoveryIq.cpp